require "Wherigo"
ZonePoint = Wherigo.ZonePoint
Distance = Wherigo.Distance
Player = Wherigo.Player

-- #Author Directives Go Here# --
-- #End Author Directives# --

cartLaficelle = Wherigo.ZCartridge()

-- MessageBox Callback Functions Table used by the Builder --
cartLaficelle.MsgBoxCBFuncs = {}

zmediachariot = Wherigo.ZMedia(cartLaficelle)
zmediachariot.Name="chariot"
zmediachariot.Description=""
zmediachariot.AltText=""
zmediachariot.Id="96c0d402-7a2d-45f8-a8e0-e881bd4be816"
zmediachariot.Resources = {
{ Type = "jpg", Filename = "chariot.jpg", Directives = {},},
}
zmediacrosiement = Wherigo.ZMedia(cartLaficelle)
zmediacrosiement.Name="crosiement"
zmediacrosiement.Description=""
zmediacrosiement.AltText=""
zmediacrosiement.Id="dead8524-9040-4fdd-8a1f-aca4e5787143"
zmediacrosiement.Resources = {
{ Type = "jpg", Filename = "croise.jpg", Directives = {},},
}
zmediadelice = Wherigo.ZMedia(cartLaficelle)
zmediadelice.Name="delice"
zmediadelice.Description=""
zmediadelice.AltText=""
zmediadelice.Id="a40db2bf-ae49-4485-98f9-c8f3716b806b"
zmediadelice.Resources = {
{ Type = "jpg", Filename = "delices.jpg", Directives = {},},
}
zmediatracteurcff = Wherigo.ZMedia(cartLaficelle)
zmediatracteurcff.Name="tracteur-cff"
zmediatracteurcff.Description=""
zmediatracteurcff.AltText=""
zmediatracteurcff.Id="90108af1-8b6c-4cfc-82a2-fc7493a4a3ca"
zmediatracteurcff.Resources = {
{ Type = "jpg", Filename = "e74cff.jpg", Directives = {},},
}
zmediaelevateur = Wherigo.ZMedia(cartLaficelle)
zmediaelevateur.Name="elevateur"
zmediaelevateur.Description=""
zmediaelevateur.AltText=""
zmediaelevateur.Id="8352b76a-7a56-4d69-8833-99c9b944d636"
zmediaelevateur.Resources = {
{ Type = "jpg", Filename = "elevateur.jpg", Directives = {},},
}
zmediafinale = Wherigo.ZMedia(cartLaficelle)
zmediafinale.Name="finale"
zmediafinale.Description=""
zmediafinale.AltText=""
zmediafinale.Id="77f7046e-fdc5-4511-8bed-496500d513d5"
zmediafinale.Resources = {
{ Type = "jpg", Filename = "finale.jpg", Directives = {},},
}
zmediaflon1 = Wherigo.ZMedia(cartLaficelle)
zmediaflon1.Name="flon 1"
zmediaflon1.Description=""
zmediaflon1.AltText=""
zmediaflon1.Id="3c39ecc4-b86c-4b3e-af9f-98bda97a75c5"
zmediaflon1.Resources = {
{ Type = "jpg", Filename = "flon1.jpg", Directives = {},},
}
zmediaflon2 = Wherigo.ZMedia(cartLaficelle)
zmediaflon2.Name="flon 2"
zmediaflon2.Description=""
zmediaflon2.AltText=""
zmediaflon2.Id="c0916613-d689-4e4c-85f1-2b25265259df"
zmediaflon2.Resources = {
{ Type = "jpg", Filename = "flon2.jpg", Directives = {},},
}
zmediaflonancien = Wherigo.ZMedia(cartLaficelle)
zmediaflonancien.Name="flon ancien"
zmediaflonancien.Description=""
zmediaflonancien.AltText=""
zmediaflonancien.Id="670a13f4-691d-46ec-bd0a-4e2158253381"
zmediaflonancien.Resources = {
{ Type = "jpg", Filename = "flonancien.jpg", Directives = {},},
}
zmediafuncicouleur = Wherigo.ZMedia(cartLaficelle)
zmediafuncicouleur.Name="funcicouleur"
zmediafuncicouleur.Description=""
zmediafuncicouleur.AltText=""
zmediafuncicouleur.Id="8e1d4e6a-4983-4556-ae58-96a68cc615af"
zmediafuncicouleur.Resources = {
{ Type = "jpg", Filename = "funicouleur.jpg", Directives = {},},
}
zmediagareSteLuce = Wherigo.ZMedia(cartLaficelle)
zmediagareSteLuce.Name="gare Ste Luce"
zmediagareSteLuce.Description=""
zmediagareSteLuce.AltText=""
zmediagareSteLuce.Id="35f5d832-9f4b-4c3a-8a5a-9779f28b1579"
zmediagareSteLuce.Resources = {
{ Type = "jpg", Filename = "garecff.jpg", Directives = {},},
}
zmediaOuchy = Wherigo.ZMedia(cartLaficelle)
zmediaOuchy.Name="Ouchy"
zmediaOuchy.Description=""
zmediaOuchy.AltText=""
zmediaOuchy.Id="5d8bcc74-c0d4-4556-aea2-245772aa61ee"
zmediaOuchy.Resources = {
{ Type = "jpg", Filename = "gareouchy1.jpg", Directives = {},},
}
zmediaGrancy = Wherigo.ZMedia(cartLaficelle)
zmediaGrancy.Name="Grancy"
zmediaGrancy.Description=""
zmediaGrancy.AltText=""
zmediaGrancy.Id="6757e6b4-b6a7-4160-bbd1-44076851646a"
zmediaGrancy.Resources = {
{ Type = "jpg", Filename = "grandcy.jpg", Directives = {},},
}
zmediaJordils = Wherigo.ZMedia(cartLaficelle)
zmediaJordils.Name="Jordils"
zmediaJordils.Description=""
zmediaJordils.AltText=""
zmediaJordils.Id="8bf90859-e2a9-4c84-931f-2730b75dcfd1"
zmediaJordils.Resources = {
{ Type = "jpg", Filename = "jordils.jpg", Directives = {},},
}
zmediaJJmercier = Wherigo.ZMedia(cartLaficelle)
zmediaJJmercier.Name="JJmercier"
zmediaJJmercier.Description=""
zmediaJJmercier.AltText=""
zmediaJJmercier.Id="1f974f3a-9ae9-487d-a449-a6dbafce8b10"
zmediaJJmercier.Resources = {
{ Type = "jpg", Filename = "mercier.jpg", Directives = {},},
}
zmediamontecharge = Wherigo.ZMedia(cartLaficelle)
zmediamontecharge.Name="monte-charge"
zmediamontecharge.Description=""
zmediamontecharge.AltText=""
zmediamontecharge.Id="5b7fd776-4d1d-4171-a030-28bafdfe0444"
zmediamontecharge.Resources = {
{ Type = "jpg", Filename = "monte.jpg", Directives = {},},
}
zmediaramelo = Wherigo.ZMedia(cartLaficelle)
zmediaramelo.Name="rame lo"
zmediaramelo.Description=""
zmediaramelo.AltText=""
zmediaramelo.Id="ac6b7511-5ab1-4e6c-a649-2577e82eea76"
zmediaramelo.Resources = {
{ Type = "jpg", Filename = "ramelo.jpg", Directives = {},},
}
zmediatransbcou = Wherigo.ZMedia(cartLaficelle)
zmediatransbcou.Name="transbcou"
zmediatransbcou.Description=""
zmediatransbcou.AltText=""
zmediatransbcou.Id="6b76b40e-40af-45c6-b196-6c248b44bf93"
zmediatransbcou.Resources = {
{ Type = "jpg", Filename = "transcou.jpg", Directives = {},},
}
zmediawagonbelge = Wherigo.ZMedia(cartLaficelle)
zmediawagonbelge.Name="wagon belge"
zmediawagonbelge.Description=""
zmediawagonbelge.AltText=""
zmediawagonbelge.Id="99b1bd20-e4f8-4c4d-8923-846057d8aa03"
zmediawagonbelge.Resources = {
{ Type = "jpg", Filename = "wagonbelge2.jpg", Directives = {},},
}
zmediawahlen = Wherigo.ZMedia(cartLaficelle)
zmediawahlen.Name="wahlen"
zmediawahlen.Description=""
zmediawahlen.AltText=""
zmediawahlen.Id="f824cf45-589a-4cf3-b382-28de46882eda"
zmediawahlen.Resources = {
{ Type = "jpg", Filename = "wahlen.jpg", Directives = {},},
}
zmediaplacegare = Wherigo.ZMedia(cartLaficelle)
zmediaplacegare.Name="place gare"
zmediaplacegare.Description=""
zmediaplacegare.AltText=""
zmediaplacegare.Id="2b03e5cb-c731-4c15-8d2e-5800bc1f25e9"
zmediaplacegare.Resources = {
{ Type = "jpg", Filename = "tracteur.jpg", Directives = {},},
}
zmediaouchy2 = Wherigo.ZMedia(cartLaficelle)
zmediaouchy2.Name="ouchy2"
zmediaouchy2.Description=""
zmediaouchy2.AltText=""
zmediaouchy2.Id="62f096f3-3a38-4fea-bede-bb3561da131d"
zmediaouchy2.Resources = {
{ Type = "jpg", Filename = "ouchy22.jpg", Directives = {},},
}
zmediaramebicouleur = Wherigo.ZMedia(cartLaficelle)
zmediaramebicouleur.Name="rame bicouleur"
zmediaramebicouleur.Description=""
zmediaramebicouleur.AltText=""
zmediaramebicouleur.Id="6fd287a6-5183-4d02-bf0c-9cd3c602941d"
zmediaramebicouleur.Resources = {
{ Type = "jpg", Filename = "ramebico.jpg", Directives = {},},
}
zmediarenfort = Wherigo.ZMedia(cartLaficelle)
zmediarenfort.Name="renfort"
zmediarenfort.Description=""
zmediarenfort.AltText=""
zmediarenfort.Id="764eb9f0-e830-4794-a472-ac377644a214"
zmediarenfort.Resources = {
{ Type = "jpg", Filename = "voiturerenfort.jpg", Directives = {},},
}
zmediaticket = Wherigo.ZMedia(cartLaficelle)
zmediaticket.Name="ticket"
zmediaticket.Description="billet enfant pour une course sur la ligne complete"
zmediaticket.AltText=""
zmediaticket.Id="5e8a7feb-c7ec-4cac-b53f-0cc8dd4e23f7"
zmediaticket.Resources = {
{ Type = "jpg", Filename = "enfant.jpg", Directives = {},},
}
zmediapierres = Wherigo.ZMedia(cartLaficelle)
zmediapierres.Name="pierres"
zmediapierres.Description=""
zmediapierres.AltText=""
zmediapierres.Id="11cad254-dc5c-4631-ace6-0fc0552c0b89"
zmediapierres.Resources = {
{ Type = "jpg", Filename = "pierre.jpg", Directives = {},},
}
zmediaplaque = Wherigo.ZMedia(cartLaficelle)
zmediaplaque.Name="plaque"
zmediaplaque.Description=""
zmediaplaque.AltText=""
zmediaplaque.Id="68477a0f-c5b0-4cdf-8ab9-4c9da6d6befc"
zmediaplaque.Resources = {
{ Type = "jpg", Filename = "plaque.jpg", Directives = {},},
}
zmediabilletadulte = Wherigo.ZMedia(cartLaficelle)
zmediabilletadulte.Name="billetadulte"
zmediabilletadulte.Description=""
zmediabilletadulte.AltText=""
zmediabilletadulte.Id="2d2028d8-63b1-48d4-8b4b-ae462bcb9939"
zmediabilletadulte.Resources = {
{ Type = "jpg", Filename = "adulte.jpg", Directives = {},},
}
zmediapanto1 = Wherigo.ZMedia(cartLaficelle)
zmediapanto1.Name="panto1"
zmediapanto1.Description=""
zmediapanto1.AltText=""
zmediapanto1.Id="391674f6-3c65-4210-8ff6-b2fb7e94d182"
zmediapanto1.Resources = {
{ Type = "jpg", Filename = "panto1.jpg", Directives = {},},
}
zmediapanto2 = Wherigo.ZMedia(cartLaficelle)
zmediapanto2.Name="panto2"
zmediapanto2.Description=""
zmediapanto2.AltText=""
zmediapanto2.Id="e525bc18-a197-4d75-9a52-6bda052ac41b"
zmediapanto2.Resources = {
{ Type = "jpg", Filename = "panto2.jpg", Directives = {},},
}
zmediamachine = Wherigo.ZMedia(cartLaficelle)
zmediamachine.Name="machine"
zmediamachine.Description=""
zmediamachine.AltText=""
zmediamachine.Id="e79fb2f9-6b9f-4113-8fe8-5a880b492528"
zmediamachine.Resources = {
{ Type = "jpg", Filename = "machine.jpg", Directives = {},},
}
zmediarame2 = Wherigo.ZMedia(cartLaficelle)
zmediarame2.Name="rame 2"
zmediarame2.Description=""
zmediarame2.AltText=""
zmediarame2.Id="a22ff526-947e-47fe-b40e-1baf887982da"
zmediarame2.Resources = {
{ Type = "jpg", Filename = "ramelo2.jpg", Directives = {},},
}
zmediaautolg = Wherigo.ZMedia(cartLaficelle)
zmediaautolg.Name="autolg"
zmediaautolg.Description=""
zmediaautolg.AltText=""
zmediaautolg.Id="44c50e79-5b04-4776-a0e9-8d6155aa30d4"
zmediaautolg.Resources = {
{ Type = "jpg", Filename = "auto.jpg", Directives = {},},
}
-- Cartridge Info --
cartLaficelle.Id="cfd37ba9-56e4-48e5-b534-ac7dc1720ffb"
cartLaficelle.Name="La ficelle"
cartLaficelle.Description=[[Decouvrez l'histoire reliant le premier funiculaire de Suisse a la premiere ligne de metro entierement automatisee ! Lausanne s'est montree en avance sur son temps pour relier Ouchy au quartier, toujours en mouvement, du Flon.]]
cartLaficelle.Visible=true
cartLaficelle.Activity="Geocache"
cartLaficelle.StartingLocationDescription=[[]]
cartLaficelle.StartingLocation = ZonePoint(46.5202833175659,6.62303333282471,0)
cartLaficelle.Version="1.0"
cartLaficelle.Company="Cougard"
cartLaficelle.Author="Gerard"
cartLaficelle.BuilderVersion="2.0.5129.5086"
cartLaficelle.CreateDate="6/16/2011 9:17:53 PM"
cartLaficelle.PublishDate="9/5/2011 5:31:09 PM"
cartLaficelle.UpdateDate="4/8/2012 10:40:06 AM"
cartLaficelle.LastPlayedDate="1/1/0001 12:00:00 AM"
cartLaficelle.TargetDevice="PocketPC"
cartLaficelle.TargetDeviceVersion="0"
cartLaficelle.StateId="1"
cartLaficelle.CountryId="2"
cartLaficelle.Complete=false
cartLaficelle.UseLogging=false
cartLaficelle.Media=zmediaflonancien

-- Zones --
zoneVoieduChariot = Wherigo.Zone(cartLaficelle)
zoneVoieduChariot.Id="55092045-0a0e-4f5b-97c0-8a06e7e30096"
zoneVoieduChariot.Name="Voie du Chariot"
zoneVoieduChariot.Description=[[Imaginez dans cette rue moderne une voie avec 4 files de rails. Ils etaient destine au deplacement en "crabe" du Chariot visible sur l'illustration ci-dessus. Les wagons etaient places ou retire des voies du Port Franc (tout proche de vous) des entrepots et commercants de ce quartier. Un tailleur de pierres recevaient du materiel de Meillerie via les voies du Lausanne - Ouchy et ces pierres taillees repartiaent vers le chantier du Tribunal Federal par le monte-charge... Qui est d'ailleurs votre prochaine etape..... Remarquez la peinture de style a proximite du restaurant "l'entrepot"... Dernier vestige d'une epoque revolue !]]
zoneVoieduChariot.Visible=false
zoneVoieduChariot.DistanceRange = Distance(-1, "meters")
zoneVoieduChariot.ShowObjects="OnEnter"
zoneVoieduChariot.ProximityRange = Distance(25, "meters")
zoneVoieduChariot.AllowSetPositionTo=false
zoneVoieduChariot.Active=false
zoneVoieduChariot.Points = {
  ZonePoint(46.5211,6.62852,0),
  ZonePoint(46.5211,6.62875,0),
  ZonePoint(46.52094,6.62875,0),
  ZonePoint(46.52094,6.62852,0)
}
zoneVoieduChariot.OriginalPoint = ZonePoint(46.5210166613261,6.62863330841065,0)
zoneVoieduChariot.DistanceRangeUOM = "Meters"
zoneVoieduChariot.ProximityRangeUOM = "Meters"
zoneVoieduChariot.OutOfRangeName = ""
zoneVoieduChariot.InRangeName = ""
zoneVoieduChariot.Media=zmediachariot

zoneMontecharge = Wherigo.Zone(cartLaficelle)
zoneMontecharge.Id="5054c1e5-5745-4b15-9e8c-ad3bb06587b1"
zoneMontecharge.Name="Monte charge"
zoneMontecharge.Description=[[Dans ce batiment on trouvait un ascenceur a 4 files de rails. Les wagons a voie normale (1435 mm) et ceux a voie metrique du LEB ou des tramways de Lausanne pouvaient rejoindre l'esplanade Bel-Air. Entre le lait, les pierres taillees pour le futur Tribunal Federal, que de marchandises ont pris cette installation...Actuellement vous avez surement emprute celui qui stoppe a la "FNAC" au passage.... ]]
zoneMontecharge.Visible=false
zoneMontecharge.DistanceRange = Distance(-1, "meters")
zoneMontecharge.ShowObjects="OnEnter"
zoneMontecharge.ProximityRange = Distance(25, "meters")
zoneMontecharge.AllowSetPositionTo=false
zoneMontecharge.Active=false
zoneMontecharge.Points = {
  ZonePoint(46.5219,6.62918,0),
  ZonePoint(46.5219,6.62942,0),
  ZonePoint(46.52174,6.62942,0),
  ZonePoint(46.52174,6.62918,0)
}
zoneMontecharge.OriginalPoint = ZonePoint(46.521816666921,6.6292999903361,0)
zoneMontecharge.DistanceRangeUOM = "Meters"
zoneMontecharge.ProximityRangeUOM = "Meters"
zoneMontecharge.OutOfRangeName = ""
zoneMontecharge.InRangeName = ""
zoneMontecharge.Media=zmediamontecharge

zoneelevateur = Wherigo.Zone(cartLaficelle)
zoneelevateur.Id="24157c69-5eea-4153-907d-4224f4077bd9"
zoneelevateur.Name="elevateur"
zoneelevateur.Description=[[Le 24 aout 1907 une Societe Anonyme inaugurait son elevateur  electrique reliant l'actuelle Place de l'Europe au Grand-Pont. Le 16 aout 1914 on stoppa l'exploitation de ce systeme. Les cabines furent bloquees et une devint un kioske a journaux et l'autre un magasin de primeur. La Societe Anonyme fut dissolue le 7 janvier 1928 et la tour fut rapidemment detruite. ]]
zoneelevateur.Visible=false
zoneelevateur.DistanceRange = Distance(-1, "meters")
zoneelevateur.ShowObjects="OnProximity"
zoneelevateur.ProximityRange = Distance(25, "meters")
zoneelevateur.AllowSetPositionTo=false
zoneelevateur.Active=false
zoneelevateur.Points = {
  ZonePoint(46.52126,6.63047,0),
  ZonePoint(46.52126,6.6307,0),
  ZonePoint(46.5211,6.6307,0),
  ZonePoint(46.5211,6.63047,0)
}
zoneelevateur.OriginalPoint = ZonePoint(46.5211833318075,6.63058331807455,0)
zoneelevateur.DistanceRangeUOM = "Meters"
zoneelevateur.ProximityRangeUOM = "Meters"
zoneelevateur.OutOfRangeName = ""
zoneelevateur.InRangeName = ""
zoneelevateur.Media=zmediaelevateur

zoneGareduFlon = Wherigo.Zone(cartLaficelle)
zoneGareduFlon.Id="ff359be1-61d4-4a06-8e30-88a36ea155ad"
zoneGareduFlon.Name="Gare du Flon"
zoneGareduFlon.Description=[[Le quartier s'est fortement transforme. Que de nouvelles constructions ! La gare a aussi subit de profond changement.... Elle est actuellement la 4eme gare de Suisse romande au niveau du nbre de voyageurs qui y transitent journellement... LEB - TSOL. lignes regionales et urbaines de bus deversent un flot reguliers de passages.]]
zoneGareduFlon.Visible=false
zoneGareduFlon.DistanceRange = Distance(-1, "meters")
zoneGareduFlon.ShowObjects="OnProximity"
zoneGareduFlon.ProximityRange = Distance(25, "meters")
zoneGareduFlon.AllowSetPositionTo=false
zoneGareduFlon.Active=false
zoneGareduFlon.Points = {
  ZonePoint(46.52036,6.63042,0),
  ZonePoint(46.52036,6.63065,0),
  ZonePoint(46.5202,6.63065,0),
  ZonePoint(46.5202,6.63042,0)
}
zoneGareduFlon.OriginalPoint = ZonePoint(46.5202833175659,6.63053334554037,0)
zoneGareduFlon.DistanceRangeUOM = "Meters"
zoneGareduFlon.ProximityRangeUOM = "Meters"
zoneGareduFlon.OutOfRangeName = ""
zoneGareduFlon.InRangeName = ""
zoneGareduFlon.Media=zmediaflon1

zoneGareSteLuce = Wherigo.Zone(cartLaficelle)
zoneGareSteLuce.Id="19ce3423-88d9-4468-9c33-c5cccbf53bd3"
zoneGareSteLuce.Name="Gare Ste Luce"
zoneGareSteLuce.Description=[[Qui connais l'Avenue du meme nom perpendiculaire au Petit Chene ? Si vous etes descendu a pied, elle commence juste avant le centre de jeux video et le restaurant "rapide". Reconnaissez-vous le train montant un wagon depuis Ouchy, la petite voiture reliant la gare au Flon et et le tracteur de manoeuvre revenant de la gare aux marchandises des CFF, a la hauteur de l'actuelle "voie 70" ?]]
zoneGareSteLuce.Visible=false
zoneGareSteLuce.DistanceRange = Distance(-1, "meters")
zoneGareSteLuce.ShowObjects="OnProximity"
zoneGareSteLuce.ProximityRange = Distance(25, "meters")
zoneGareSteLuce.AllowSetPositionTo=false
zoneGareSteLuce.Active=false
zoneGareSteLuce.Points = {
  ZonePoint(46.51761,6.62947,0),
  ZonePoint(46.51761,6.62983,0),
  ZonePoint(46.51736,6.62983,0),
  ZonePoint(46.51736,6.62947,0)
}
zoneGareSteLuce.OriginalPoint = ZonePoint(46.517483329773,6.62964998881022,0)
zoneGareSteLuce.DistanceRangeUOM = "Meters"
zoneGareSteLuce.ProximityRangeUOM = "Meters"
zoneGareSteLuce.OutOfRangeName = ""
zoneGareSteLuce.InRangeName = ""
zoneGareSteLuce.Media=zmediagareSteLuce

zoneGrancy = Wherigo.Zone(cartLaficelle)
zoneGrancy.Id="65f2322e-a871-4718-9398-c9963468582e"
zoneGrancy.Name="Grancy"
zoneGrancy.Description=[[Une nouvelle station construite pour le M2. A cet endroit on trouve une des deux aiguilles qui controlent la section a simple voie entre cette station et celle de la gare CFF. Toute la zone passant sous les voies fut maintenue a simple pour des raisons de couts ! Aujourd'huit on constate que ce goulet empeche d'augmenter la cadence des trains ! Les convois reliant La Sallaz a la gare CFF rebroussent dans ce tunnel, ce qui diminue encore le nombre de trains pouvant monter ou descendre sur la section d'Ouchy]]
zoneGrancy.Visible=false
zoneGrancy.DistanceRange = Distance(-1, "meters")
zoneGrancy.ShowObjects="OnProximity"
zoneGrancy.ProximityRange = Distance(25, "meters")
zoneGrancy.AllowSetPositionTo=false
zoneGrancy.Active=false
zoneGrancy.Points = {
  ZonePoint(46.51538,6.62883,0),
  ZonePoint(46.51538,6.62907,0),
  ZonePoint(46.51522,6.62907,0),
  ZonePoint(46.51522,6.62883,0)
}
zoneGrancy.OriginalPoint = ZonePoint(46.515299987793,6.62894999186198,0)
zoneGrancy.DistanceRangeUOM = "Meters"
zoneGrancy.ProximityRangeUOM = "Meters"
zoneGrancy.OutOfRangeName = ""
zoneGrancy.InRangeName = ""
zoneGrancy.Media=zmediaGrancy

zoneDelice = Wherigo.Zone(cartLaficelle)
zoneDelice.Id="f4dd9ee9-99c3-4962-83cd-339770058113"
zoneDelice.Name="Delice"
zoneDelice.Description=[[Le Pont sur l'Avenue d'Apple... Quelques changements dans ce quartier. ]]
zoneDelice.Visible=false
zoneDelice.DistanceRange = Distance(-1, "meters")
zoneDelice.ShowObjects="OnProximity"
zoneDelice.ProximityRange = Distance(25, "meters")
zoneDelice.AllowSetPositionTo=false
zoneDelice.Active=false
zoneDelice.Points = {
  ZonePoint(46.51226,6.62808,0),
  ZonePoint(46.51226,6.62822,0),
  ZonePoint(46.51217,6.62822,0),
  ZonePoint(46.51217,6.62808,0)
}
zoneDelice.OriginalPoint = ZonePoint(46.5122166633606,6.62814998626709,0)
zoneDelice.DistanceRangeUOM = "Meters"
zoneDelice.ProximityRangeUOM = "Meters"
zoneDelice.OutOfRangeName = ""
zoneDelice.InRangeName = ""
zoneDelice.Media=zmediadelice

zoneJordils = Wherigo.Zone(cartLaficelle)
zoneJordils.Id="73a91102-e603-4f80-9cb9-97f4411b0e63"
zoneJordils.Name="Jordils"
zoneJordils.Description=[[Cet arret s'est modernise d'une maniere efficace. Les abris pour velos, des espaces verts... La ville a effectue un excellent travail !]]
zoneJordils.Visible=false
zoneJordils.DistanceRange = Distance(-1, "meters")
zoneJordils.ShowObjects="OnProximity"
zoneJordils.ProximityRange = Distance(25, "meters")
zoneJordils.AllowSetPositionTo=false
zoneJordils.Active=false
zoneJordils.Points = {
  ZonePoint(46.5098,6.62715,0),
  ZonePoint(46.5098,6.62729,0),
  ZonePoint(46.5097,6.62729,0),
  ZonePoint(46.5097,6.62715,0)
}
zoneJordils.OriginalPoint = ZonePoint(46.5097499847412,6.62721665700277,0)
zoneJordils.DistanceRangeUOM = "Meters"
zoneJordils.ProximityRangeUOM = "Meters"
zoneJordils.OutOfRangeName = ""
zoneJordils.InRangeName = ""
zoneJordils.Media=zmediaJordils

zonefinale = Wherigo.Zone(cartLaficelle)
zonefinale.Id="6960b36d-3630-4062-a0f7-fce11b87598e"
zonefinale.Name="finale"
zonefinale.Description=[[enfin]]
zonefinale.Visible=false
zonefinale.DistanceRange = Distance(-1, "meters")
zonefinale.ShowObjects="OnProximity"
zonefinale.ProximityRange = Distance(15, "meters")
zonefinale.AllowSetPositionTo=false
zonefinale.Active=false
zonefinale.Points = {
  ZonePoint(46.50506,6.62803,0),
  ZonePoint(46.50506,6.62817,0),
  ZonePoint(46.50497,6.62817,0),
  ZonePoint(46.50497,6.62803,0)
}
zonefinale.OriginalPoint = ZonePoint(46.5050166765849,6.62810001373291,0)
zonefinale.DistanceRangeUOM = "Meters"
zonefinale.ProximityRangeUOM = "Meters"
zonefinale.OutOfRangeName = ""
zonefinale.InRangeName = ""
zonefinale.Media=zmediafinale

zoneGaredOuchy = Wherigo.Zone(cartLaficelle)
zoneGaredOuchy.Id="a3ca7a6e-e9e0-4ec8-ade7-182299238e29"
zoneGaredOuchy.Name="Gare d'Ouchy"
zoneGaredOuchy.Description=[[Premiere gare d'Ouchy.. Une petite voie de 60 cm de large reliait cette gare aux quais de la CGN pour acheminer les bagages des voyageurs sur de petits wagonnets.]]
zoneGaredOuchy.Visible=false
zoneGaredOuchy.DistanceRange = Distance(-1, "meters")
zoneGaredOuchy.ShowObjects="OnProximity"
zoneGaredOuchy.ProximityRange = Distance(25, "meters")
zoneGaredOuchy.AllowSetPositionTo=false
zoneGaredOuchy.Active=false
zoneGaredOuchy.Points = {
  ZonePoint(46.50686,6.62618,0),
  ZonePoint(46.50686,6.62632,0),
  ZonePoint(46.50677,6.62632,0),
  ZonePoint(46.50677,6.62618,0)
}
zoneGaredOuchy.OriginalPoint = ZonePoint(46.5068166732788,6.62625001271566,0)
zoneGaredOuchy.DistanceRangeUOM = "Meters"
zoneGaredOuchy.ProximityRangeUOM = "Meters"
zoneGaredOuchy.OutOfRangeName = ""
zoneGaredOuchy.InRangeName = ""
zoneGaredOuchy.Media=zmediaOuchy

-- Characters --

-- Items --

-- Tasks --
ztaskvousrendreaumontecharge = Wherigo.ZTask(cartLaficelle)
ztaskvousrendreaumontecharge.Id="452ca3c0-d309-44be-a59b-280e80b5595a"
ztaskvousrendreaumontecharge.Name="vous rendre au monte-charge"
ztaskvousrendreaumontecharge.Description=[[Situe non loin de son descendant... qui vous permet de monter a la FNAC ou sur l'esplanade au pied de la tour BBel-Air]]
ztaskvousrendreaumontecharge.Visible=false
ztaskvousrendreaumontecharge.Active=false
ztaskvousrendreaumontecharge.Complete=false
ztaskvousrendreaumontecharge.CorrectState = "None"

ztaskalleralelevateur = Wherigo.ZTask(cartLaficelle)
ztaskalleralelevateur.Id="cad419f4-b332-4ebe-9058-1e73fb12e152"
ztaskalleralelevateur.Name="aller a l'elevateur"
ztaskalleralelevateur.Description=[[Ancien ascenceur payant reliant le bas du quartier a la hauteur de St Francois, du Grand-Pont et de l'acces a St Laurent et a la Riponne]]
ztaskalleralelevateur.Visible=false
ztaskalleralelevateur.Active=false
ztaskalleralelevateur.Complete=false
ztaskalleralelevateur.CorrectState = "None"

ztaskalleauflon = Wherigo.ZTask(cartLaficelle)
ztaskalleauflon.Id="7514fbbb-ad15-4bb0-bfe2-0544994c39b8"
ztaskalleauflon.Name="alle au flon"
ztaskalleauflon.Description=[[direction la gare de depart ou d'arrivee]]
ztaskalleauflon.Visible=false
ztaskalleauflon.Active=false
ztaskalleauflon.Complete=false
ztaskalleauflon.CorrectState = "None"

ztaskallersteluce = Wherigo.ZTask(cartLaficelle)
ztaskallersteluce.Id="8f7e4a57-2196-4038-b421-fbd3aa096af8"
ztaskallersteluce.Name="allersteluce"
ztaskallersteluce.Description=[[direction la gare CFF]]
ztaskallersteluce.Visible=false
ztaskallersteluce.Active=false
ztaskallersteluce.Complete=false
ztaskallersteluce.CorrectState = "None"

ztaskgodelice = Wherigo.ZTask(cartLaficelle)
ztaskgodelice.Id="f965385f-8d01-47ec-848e-bf9b98a07446"
ztaskgodelice.Name="godelice"
ztaskgodelice.Description=[[sur la terrasse en dessus de la statiion du M2]]
ztaskgodelice.Visible=false
ztaskgodelice.Active=false
ztaskgodelice.Complete=false
ztaskgodelice.CorrectState = "None"

ztaskgograncy = Wherigo.ZTask(cartLaficelle)
ztaskgograncy.Id="c1760d8a-ce25-4764-a1b0-e80b19d0d482"
ztaskgograncy.Name="gograncy"
ztaskgograncy.Description=[[aller a Grancy]]
ztaskgograncy.Visible=false
ztaskgograncy.Active=false
ztaskgograncy.Complete=false
ztaskgograncy.CorrectState = "None"

ztaskgofin = Wherigo.ZTask(cartLaficelle)
ztaskgofin.Id="b791bf33-c8c5-417d-98b6-5a1d18efe50c"
ztaskgofin.Name="gofin"
ztaskgofin.Description=[[la finale]]
ztaskgofin.Visible=false
ztaskgofin.Active=false
ztaskgofin.Complete=false
ztaskgofin.CorrectState = "None"

ztaskgojordil = Wherigo.ZTask(cartLaficelle)
ztaskgojordil.Id="ec5e8f8d-3a5b-47b0-9cab-2efd982cb623"
ztaskgojordil.Name="gojordil"
ztaskgojordil.Description=[[Station Jordil]]
ztaskgojordil.Visible=false
ztaskgojordil.Active=false
ztaskgojordil.Complete=false
ztaskgojordil.CorrectState = "None"

ztaskgochariot = Wherigo.ZTask(cartLaficelle)
ztaskgochariot.Id="fe6d678e-2d45-4de5-992f-daaec5c7e2f3"
ztaskgochariot.Name="gochariot"
ztaskgochariot.Description=[[Aller au a la voie du charriot]]
ztaskgochariot.Visible=false
ztaskgochariot.Active=false
ztaskgochariot.Complete=false
ztaskgochariot.CorrectState = "None"

ztaskgoouchy = Wherigo.ZTask(cartLaficelle)
ztaskgoouchy.Id="d4dff650-5d34-431e-8157-a56f5ec5001d"
ztaskgoouchy.Name="goouchy"
ztaskgoouchy.Description=[[Vous rendre a Ouchy]]
ztaskgoouchy.Visible=false
ztaskgoouchy.Active=false
ztaskgoouchy.Complete=false
ztaskgoouchy.CorrectState = "None"

-- Cartridge Variables --
plan = ""
panto = ""
indice2 = ""
ouchy = ""
automotrice = ""
indice1 = ""
prixenfant = 190
indice3 = ""
cartLaficelle.ZVariables = {plan = "", panto = "", indice2 = "", ouchy = "", automotrice = "", indice1 = "", prixenfant = 190, indice3 = ""}

-- Builder Variables (to be read by the builder only) --
buildervar = {}
buildervar.plan = {}
buildervar.plan.Id ="22a893fd-9a24-4d3a-9d7b-9b037efbb17d"
buildervar.plan.Name = "plan"
buildervar.plan.Type = "String"
buildervar.plan.Data=[[]]
buildervar.plan.Description=[[]]

buildervar.panto = {}
buildervar.panto.Id ="eae65c3b-0180-49df-8510-59c536f866fc"
buildervar.panto.Name = "panto"
buildervar.panto.Type = "String"
buildervar.panto.Data=[[]]
buildervar.panto.Description=[[]]

buildervar.indice2 = {}
buildervar.indice2.Id ="405c5e31-81b9-4978-90a0-ace3c4697bf3"
buildervar.indice2.Name = "indice2"
buildervar.indice2.Type = "String"
buildervar.indice2.Data=[[]]
buildervar.indice2.Description=[[2eme question controle]]

buildervar.ouchy = {}
buildervar.ouchy.Id ="a76f683e-09f2-4c01-a2bb-22c0ce3eaf96"
buildervar.ouchy.Name = "ouchy"
buildervar.ouchy.Type = "String"
buildervar.ouchy.Data=[[]]
buildervar.ouchy.Description=[[]]

buildervar.automotrice = {}
buildervar.automotrice.Id ="3734141a-89c8-4b89-a3e3-b64f59cf8640"
buildervar.automotrice.Name = "automotrice"
buildervar.automotrice.Type = "String"
buildervar.automotrice.Data=[[]]
buildervar.automotrice.Description=[[]]

buildervar.indice1 = {}
buildervar.indice1.Id ="df81baf1-c838-4715-9daf-49695efca260"
buildervar.indice1.Name = "indice1"
buildervar.indice1.Type = "String"
buildervar.indice1.Data=[[]]
buildervar.indice1.Description=[[]]

buildervar.prixenfant = {}
buildervar.prixenfant.Id ="04c178f4-5e86-45ce-b999-7ffe79f14034"
buildervar.prixenfant.Name = "prixenfant"
buildervar.prixenfant.Type = "Number"
buildervar.prixenfant.Data=[[190]]
buildervar.prixenfant.Description=[[]]

buildervar.indice3 = {}
buildervar.indice3.Id ="33eef895-0392-42b4-a1a3-f1608c156b55"
buildervar.indice3.Name = "indice3"
buildervar.indice3.Type = "String"
buildervar.indice3.Data=[[]]
buildervar.indice3.Description=[[]]


-- ZTimers --
ztimercharbon = Wherigo.ZTimer(cartLaficelle)
ztimercharbon.Id="e0d60a1a-3450-4e2a-a0ac-c3d816e6e4e2"
ztimercharbon.Name="charbon"
ztimercharbon.Description=[[]]
ztimercharbon.Visible=true
ztimercharbon.Duration=10
ztimercharbon.Type="Countdown"

-- Inputs --
zinputgareflon1 = Wherigo.ZInput(cartLaficelle)
zinputgareflon1.Id="ffa23ea3-eee3-4ee3-84a5-cd6b94457d8b"
zinputgareflon1.Name="gareflon1"
zinputgareflon1.Description=[[Quelques petites questions pour comparer l'evolution de l'histoire.... ou de l'Histoire]]
zinputgareflon1.Visible=true
zinputgareflon1.InputType="Text"
zinputgareflon1.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputgareflon1.Text=[[]]

zinputplan = Wherigo.ZInput(cartLaficelle)
zinputplan.Id="a0d4ced7-472d-4175-a3d2-f0db71b24a9f"
zinputplan.Name="plan"
zinputplan.Description=[[le plan de culture de la 2eme guerre mondiale]]
zinputplan.Visible=true
zinputplan.Choices = {"Guisan", "Wahlen", "Marchal", "De Gaulle"}
zinputplan.InputType="MultipleChoice"
zinputplan.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputplan.Text=[[]]

zinputouchy = Wherigo.ZInput(cartLaficelle)
zinputouchy.Id="fcad6a56-92c8-4163-ba0c-cef463fecd34"
zinputouchy.Name="ouchy"
zinputouchy.Description=[[Quelle etait la particularite du funiculaire LO / LG par rapport aux autres funiculaires construit en encore en service aujourd'hui ?
A : aucune
B : des moteurs electriques montes sur les voitures pour aider le cable de traction
C : on pouvait ajouter des voitures de renforts selon les pointes de trafic
D : Il n'avait aucun freins...]]
zinputouchy.Visible=true
zinputouchy.Choices = {"A", "B", "C", "D"}
zinputouchy.InputType="MultipleChoice"
zinputouchy.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputouchy.Text=[[]]
zinputouchy.Media=zmediapanto2

zinputtraction = Wherigo.ZInput(cartLaficelle)
zinputtraction.Id="3658693c-d316-403f-9c81-a60ba39053b0"
zinputtraction.Name="traction"
zinputtraction.Description=[[Sur ce cliche on vois que la voiture aval du train Lausanne  Ouchy avait un pantographe ? Mais a quoi pouvait servir cet objet, generalement utilise pour fournir le courant aux vehicules pour les moteurs de tractions ou d'autres usages. - pour  l'eclairage et au chauffage des rames - aux moteurs de tractions - pour des contacts electroniques situe sur le fil - pour les decorations de Noel]]
zinputtraction.Visible=true
zinputtraction.Choices = {"eclairage", "traction", "contacts", "decoration"}
zinputtraction.InputType="MultipleChoice"
zinputtraction.InputVariableId="eae65c3b-0180-49df-8510-59c536f866fc"
zinputtraction.Text=[[]]
zinputtraction.Media=zmediafuncicouleur

zinputindice1 = Wherigo.ZInput(cartLaficelle)
zinputindice1.Id="abf40567-4c26-43f1-9ed3-b8be005e31e4"
zinputindice1.Name="indice1"
zinputindice1.Description=[[designation technique des automotrices]]
zinputindice1.Visible=true
zinputindice1.InputType="Text"
zinputindice1.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputindice1.Text=[[]]

zinputindice2 = Wherigo.ZInput(cartLaficelle)
zinputindice2.Id="f7de31fd-c963-43a4-8f5b-e5a3167d1ed8"
zinputindice2.Name="indice2"
zinputindice2.Description=[[2eme indice sous le 1er "U" apres le 1er lampadaire]]
zinputindice2.Visible=true
zinputindice2.InputType="Text"
zinputindice2.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputindice2.Text=[[]]

zinputindice3 = Wherigo.ZInput(cartLaficelle)
zinputindice3.Id="826dc763-9082-4edb-af17-727402e40019"
zinputindice3.Name="indice3"
zinputindice3.Description=[[L'indice est colle sous la rambarde en verre au pied du lampadaire ayant un trace rose]]
zinputindice3.Visible=true
zinputindice3.InputType="Text"
zinputindice3.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputindice3.Text=[[]]

zinputpantra = Wherigo.ZInput(cartLaficelle)
zinputpantra.Id="a8af4b7b-ff5a-44e7-a2be-396d4360496e"
zinputpantra.Name="pantra"
zinputpantra.Description=[[On vois que la voiture aval du train Lausanne  Ouchy avait un pantographe.  Mais a quoi pouvait servir cet objet, generalement utilise pour fournir le courant aux vehicules pour les moteurs de tractions ou d'autres usages, pour  l'eclairage et au chauffage des rames,  aux moteurs de tractions, pour des contacts electroniques situe sur le fil,  pour les decorations de Noel]]
zinputpantra.Visible=true
zinputpantra.Choices = {"eclairage", "traction", "contacts", "decorations"}
zinputpantra.InputType="MultipleChoice"
zinputpantra.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputpantra.Text=[[]]
zinputpantra.Media=zmediafuncicouleur

zinputgrandyrr = Wherigo.ZInput(cartLaficelle)
zinputgrandyrr.Id="e3f3dc47-8c24-4268-8aca-1710aab762fb"
zinputgrandyrr.Name="grandyrr"
zinputgrandyrr.Description=[[]]
zinputgrandyrr.Visible=true
zinputgrandyrr.InputType="Text"
zinputgrandyrr.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputgrandyrr.Text=[[]]

--
-- Events/Conditions/Actions --
--

-------------------------------------------------------------------------------
------Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------

function cartLaficelle:OnStart()
-- #GroupDescription=acceuil --
-- #Comment=acceuil Comment --
zoneVoieduChariot.Visible = true
zoneVoieduChariot.Active = true
ztaskgochariot.Active = true
ztaskgochariot.Visible = true
Wherigo.MessageBox{Text=[[Bonjour cher(e)s voyageurs(euses) dans l'espace et dans le temps.... Je me presente.. Jean-Jacques Mercier. J'ai ete membre de la comission pour la construction d'une liaison fixe entre Ouchy et le quartier du Flon. A vec le remblaiement de cette Vallee, le developpement des entrepots, commercants etc, il devenait necessaire de transporters les voyageurs et les marchandises arrivant  par les trains en gare de Lausanne. Les chevaux faisaient un bon travail, mais le rendement n'etaint plus assez moderne pour mon epoque ! La premiere etape de cette course vous emmenera a la "Voie du Chariot". Aujourd'hui les rails ont disparut mais le nom reste.... Cet ingenieux systeme deplacait les wagons en "crabe" dans le secteur. Trouvez une plaque mentionnant ce nom : "Voie du Chariot" et votre promenade demarrera vraiment !]],Media=zmediaJJmercier,Buttons={"la suite",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB4}
end

function zoneMontecharge:OnExit()
-- #GroupDescription=dpcahriot --
-- #Comment=dpcahriot Comment --
ztaskvousrendreaumontecharge.Complete = true
cartLaficelle:RequestSync()
end

function zoneVoieduChariot:OnExit()
-- #GroupDescription=dpcha --
-- #Comment=dpcha Comment --
cartLaficelle:RequestSync()
end

function zoneJordils:OnExit()
-- #GroupDescription=dpjordil --
-- #Comment=dpjordil Comment --
cartLaficelle:RequestSync()
end

function zoneGrancy:OnExit()
-- #GroupDescription=dpgrancy --
-- #Comment=dpgrancy Comment --
cartLaficelle:RequestSync()
end

function zoneGareSteLuce:OnExit()
-- #GroupDescription=dpluce --
-- #Comment=dpluce Comment --
cartLaficelle:RequestSync()
end

function zoneGareduFlon:OnExit()
-- #GroupDescription=dpflon --
-- #Comment=dpflon Comment --
cartLaficelle:RequestSync()
end

function zoneGaredOuchy:OnExit()
-- #GroupDescription=dpouchy --
-- #Comment=dpouchy Comment --
cartLaficelle:RequestSync()
end

function zonefinale:OnExit()
-- #GroupDescription=finalesave --
-- #Comment=finalesave Comment --
cartLaficelle.Complete = true
end

function zoneelevateur:OnExit()
-- #GroupDescription=dpeleva --
-- #Comment=dpeleva Comment --
cartLaficelle:RequestSync()
end

function zoneDelice:OnExit()
-- #GroupDescription=dpdelice --
-- #Comment=dpdelice Comment --
cartLaficelle:RequestSync()
end

function zoneVoieduChariot:OnEnter()
-- #GroupDescription=voiechariot --
-- #Comment=voiechariot Comment --
zoneMontecharge.Visible = true
zoneMontecharge.Active = true
ztaskalleralelevateur.Active = true
zoneelevateur.Visible = true
Wherigo.MessageBox{Text=[[Les wagons etaient pousses depuis la gare de Ste-Luce (que vous visiterez plus tard) par la petite voiture du Lausanne - Gare. Arrive au Flon ils etaient pris en charge sur le chariot pour etre soit mis sur les voies a destination d'Ouchy soit conduit dans les diverses voies qui irriguaient ce quartier. Un systeme de poulies permettait soir de deplacer en "crabe" le chariot le long de cet axe, soit de tirer avec un cable les wagons pour les mettre devant les quais des clients. On pouvait conduire les vehicules vers le monte-charge pour les faire monter a la hauteur de Bel-Air... Faites-en de meme ! (La photo vous montre le tracteur de manoeuvre de LO deplace sur ce chariot. Ce vehicule hybride disposait de 2 pantographes : l'un pour son alimentation electrique, l'autre pour des contacts afin de commander les signaux routiers qui se rependaient en 1970, annee de prise de ce cliche.]],Media=zmediatransbcou,Buttons={"je monte...",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB5}
end

function zoneDelice:OnEnter()
-- #GroupDescription=entredelice --
-- #Comment=entredelice Comment --
zoneJordils.Visible = true
zoneJordils.Active = true
ztaskgojordil.Active = true
ztaskgojordil.Visible = true
Wherigo.MessageBox{Text=[[Durant la 2eme guerre mondiale les talus du LO furent mobilises eux-aussi. Dans le cadre du Plan XXX , tous les terrains devaient etre cultives pour la production de legumes afin d'assurer l'autosuffisance alimentaire du pays. Mais quel etait le nom de l'auteur de ce plan ?]],Media=zmediawahlen,Buttons={"Wahlen","Guisan",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB24}
end

function zoneelevateur:OnEnter()
-- #GroupDescription=entrerele --
-- #Comment=entrerele Comment --
zoneGareduFlon.Visible = true
zoneGareduFlon.Active = true
ztaskalleauflon.Active = true
ztaskalleauflon.Visible = true
Wherigo.MessageBox{Text=[[Maintenant que vous decouvrez le quartier depuis le Haut, que penseriez-vous de rejoindre le point de depart, ou d'arrivee de ce funiculaire ? La Gare du FLon. Etrangement le Lausanne - Ouchy disposait de 2 voies et donc de 4 files de rails. Le Lausanne - Gare se contentait d'une seule voie. Lorsque des wagons devaient descendre sur Ouchy il ne fallait pas se tromper de voie pour positionner celui-ci contre les voitures du "train" qui les prendrais ne charge. ]],Media=zmediaflon1,Buttons={"Je vais en gare.",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB7}
end

function zonefinale:OnEnter()
-- #GroupDescription=entrefinale --
-- #Comment=entrefinale Comment --
Wherigo.MessageBox{Text=[[Ne vous fiez pas a la photo ci-dessus..... Vous etes dans la bonne zone. Des que vous avez signe le log-boock vous pouvez clore cette cartouche. Souhaiteriez-vous me faire boire alors que je n'ai pas soif ?  Votre objet convoite est magnetise........ Mais pas pas sur un objet de metal ferreux. Regardez-vous de face et ensuite asseyez-vous sur le "banc" de gauche.... Et laissez votre main explorer.... Dès que vous aurez trouvé la boite finissez la cartouche pour enregistrer votre victoire sur le site wherigo]],Media=zmediafinale,Buttons={"J'ai trouve la petit boite !",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB29}
end

function zoneGaredOuchy:OnEnter()
-- #GroupDescription=entreouchy --
-- #Comment=entreouchy Comment --
zoneDelice.Visible = true
zoneJordils.Visible = true
zoneGareSteLuce.Visible = true
zoneGrancy.Visible = false
zoneGareSteLuce.Active = false
zoneGrancy.Active = false
zoneDelice.Active = false
zoneJordils.Active = false
ztaskgofin.Active = true
ztaskgofin.Visible = true
Wherigo.MessageBox{Text=[[La toute premier gare d'Ouchy.... L'auriez-vous reconnue.. Mais encore quelques questions avant que vous meritiez d'aller enregistrer votre decouverte.... Quelle etait la particularite de ce funiculaire, hormis le fait que des wagons pouvaient transiter sur cette ligne ?  Soit il s'agissait du seul finuculaire qui pouvait recevoir ou retirer des vehicules de renfort selon l'affluence de voyageurs. Soit il s'agissait du seul funiculaire disposant de moteur de traction en plus du cable.]],Media=zmediaOuchy,Buttons={"ajout de vehicule(s) de renfort","Des moteurs electriques",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB27}
end

function zoneGareduFlon:OnEnter()
-- #GroupDescription=enterflon --
-- #Comment=enterflon Comment --
zoneGareSteLuce.Visible = true
zoneGareSteLuce.Active = true
ztaskallersteluce.Active = true
ztaskallersteluce.Visible = true
Wherigo.MessageBox{Text=[[Petite question : Comme vous pouvez le constater, dans les annees 1970, un enfant payait 30 centimes pour un parcours, quel qu'il soit, sur le Lausanne Ouchy ou le Lausanne Gare. Combien paie un enfant de moins de 16 ans pour descendre a la gare CFF depuis ici a ce jour ? (Indiquez le prix en centimes SVP)]],Media=zmediaticket,Buttons={"repondre",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB10}
end

function zoneGareSteLuce:OnEnter()
-- #GroupDescription=entreluce --
-- #Comment=entreluce Comment --
zoneGareduFlon.Active = false
zoneelevateur.Active = false
zoneMontecharge.Active = false
zoneVoieduChariot.Active = false
zoneGrancy.Visible = true
zoneVoieduChariot.Visible = false
zoneMontecharge.Visible = false
zoneelevateur.Visible = false
zoneGareduFlon.Visible = false
zoneGrancy.Active = true
ztaskgograncy.Active = true
ztaskgograncy.Visible = true
Wherigo.MessageBox{Text=[[A la place de la voie 70 actuelle, il y avais une gare marchandises. Les wagons a destinations du Lausanne Gare furent d'abord achemine par des chevaux. Puis un systeme de cable pose dans un caniveau remorquait les vehicules au travers de la pace. Enfin le LO fit l'acquisition d'un tracteur de manoeuvre plus moderne. Celui-ci acheminait les wagons. Il se garait apres la voie du Lausanne - Gare. Une plaque tournante permettait de mettre le wagon en face de la petit voiture qui le pousserait vers le Flon. Mais quel systeme permettait de freiner les wagons a la descente en plus du cable du funiculaire ?]],Media=zmediatracteurcff,Buttons={"une cremaillere","un cheval attele cote amont",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB12}
end

function zoneGrancy:OnEnter()
-- #GroupDescription=entregrancy --
-- #Comment=entregrancy Comment --
zoneDelice.Visible = true
ztaskgodelice.Active = true
ztaskgodelice.Visible = true
Wherigo.MessageBox{Text=[[Cette station est apparue lors de la construction du M2. Le funiculaire ne s'y arretaits. En effet, pour assurer un fonctionnement correct d'un funiculaire on doit avoir un nombre d'arret rigoureusement similaire en amont et en aval du point de Croisement. La Ficelle desservait  la gare CFF et Jordils, les trains se croisaient a Montriond. Afin de vérifier que vous êtes bien sur le terrain, je vais vous demander de chercher un indice.. Sur la terrasse qui domine la statoi et qui ouvre une perspective sur la voie du M2 et Le Leman, se trouve un etiquette qui porte l'immatriculation technique des automotrices assurant la liaison Lausanne - Gare. Quels sont ces trois lettres ?]],Media=zmediaGrancy,Buttons={"BHE","BEH",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB17}
end

function zoneJordils:OnEnter()
-- #GroupDescription=enterjordil --
-- #Comment=enterjordil Comment --
zoneGaredOuchy.Visible = true
zoneGaredOuchy.Active = true
ztaskgoouchy.Visible = true
ztaskgoouchy.Active = true
ztaskgoouchy.Active = true
ztaskgoouchy.Visible = true
Wherigo.MessageBox{Text=[[Le 22 janvier 2006 les trains a cremaillere terminerent leur carriere. Des ce moment les travaux du M2 prirent le relais. Le LO / LG a transporte env. 8 millions de tonnes de marchandises.  Aujourd'huit il est un element important et la colonne vertebrale du reseau des trasnports urbains de Lausanne. Liens fixe entre le LEB, le TSOL, les CFF et les lignes regionales de bus. Que de chemin parcourut depuis le premier funiculaire de Suisse. Devenu premiere ligne de metro automatique d'Helvetie ! Que nous reserve demain ? Un doublement de la voie entre Grancy et la Gare CFF... L'achat de nouveau materiel roulant..... Mais peut-etre une branche sur La Blecherette, un prolongement vers Epalinges..... Mais finissons la ligne... Mais encore un controle : Quelle etait l'immatriculation de la petit automotrice ? Enfin de la 1ere de la serie. L'indice est colle sous la rambarde en verre, a cote du lampadaire ayant une tache rose...]],Media=zmediarame2,Buttons={"He 2/2 101","He 598811",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB26}
end

function zoneMontecharge:OnEnter()
-- #GroupDescription=entremonte --
-- #Comment=entremonte Comment --
zoneVoieduChariot.Active = false
zoneVoieduChariot.Visible = false
zoneelevateur.Visible = true
zoneelevateur.Active = true
Wherigo.MessageBox{Text=[[Un vue des marchandises qui transiterent par ce monte charge : Des wagons de pierres taillees chargees sur des wagons des tramways de Lausanne pour rejoindre le chantier de construction du Tribunal Federal a Mont Repos]],Media=zmediapierres,Buttons={"la suite",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB15}
end

function ztimercharbon:OnStop()
-- #GroupDescription=suite timer --
-- #Comment=suite timer Comment --
Wherigo.MessageBox{Text=[[la suite....]],}
end

function zinputgareflon1:OnGetInput(input)
-- #GroupDescription=prixenfant --
-- #Comment=prixenfant Comment --
if   prixenfant ~= 190 then
Wherigo.GetInput(zinputgareflon1)
else
zoneGareSteLuce.Active = true
zoneGareSteLuce.Visible = true
Wherigo.MessageBox{Text=[[Bien repondu passez a l'etape suivante !]],Media=zmediabilletadulte,Buttons={"j'y vais",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB16}
end
end

function zinputouchy:OnGetInput(input)
-- #GroupDescription=repouch --
-- #Comment=repouch Comment --
if   not Wherigo.NoCaseEquals(ouchy,"C") then
Wherigo.GetInput(zinputouchy)
else
Wherigo.MessageBox{Text=[[En effet, on pouvait ajouter 1 ou 2 voitures a l'aide d'un petit cahriot transbordeur manuel. On retirait ou on ajoutait les wagons de la meme maniere. Cette photo nous montre le principe. Alors pret a chercher la cache finale ?]],Media=zmediarenfort,Buttons={"oui",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB28}
end
end

function zinputindice1:OnGetInput(input)
-- #GroupDescription=indice1 --
-- #Comment=indice1 Comment --
if   Wherigo.NoCaseEquals(indice1,"BHE") then
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
else
Wherigo.Command("DriveTo")
end
end

function zinputindice2:OnGetInput(input)
-- #GroupDescription=indice2 --
-- #Comment=indice2 Comment --
if   Wherigo.NoCaseEquals(indice2,"298211") then
zoneJordils.Visible = true
zoneJordils.Active = true
ztaskgojordil.Active = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneJordils)
else
Wherigo.Command("DriveTo")
end
end

function zinputindice3:OnGetInput(input)
-- #GroupDescription=indice3 --
-- #Comment=indice3 Comment --
if   Wherigo.NoCaseEquals(indice3,"598811") then
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGaredOuchy)
else
Wherigo.Command("DriveTo")
end
end

function zinputtraction:OnGetInput(input)
panto = input
-- #GroupDescription=grancyq --
-- #Comment=grancyq Comment --
if   not Wherigo.NoCaseEquals(panto,"eclairage") then
Wherigo.MessageBox{Text=[[Petite erreur. Tenez a nouveau de repondre]],Buttons={"ok",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB38}
else
Wherigo.MessageBox{Text=[[Bravo encore une question. Restez sur l'esplanade : Sous le panneauz "Attention ne pas monter sur le toit" vous trouverez la designation technique des automotrices du LG. Quelle est cette abreviation ? (L'indice est ecrit sur une etiquette transparente colle sur le rebord de la zone metallique). Attention il s'agit des immatriculations modernes... Et non celle figurant sur ce cliche.]],Media=zmediaautolg,Buttons={"j'ai trouve et je reponds",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB34}
end
end

function zinputpantra:OnGetInput(input)
-- #GroupDescription=pattraqu --
-- #Comment=pattraqu Comment --
if   not Wherigo.NoCaseEquals(panto,"eclairage") then
Wherigo.MessageBox{Text=[[Desole. Une petite erreur de votre part. Tenez a nouveau]],Media=zmediafuncicouleur,Buttons={"ok",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB39}
else
Wherigo.MessageBox{Text=[[BRao bien repondu. Encore une question de controle : Sur l'esplanade qui surlombe la voie vous trouvez un panneau : interdit de grimper sur le toi. Sous ce panneau est collee une etiquette pourtant la designation technique des automotrices du Lausanne - gare. Quelle est cette designation ?]],Media=zmediaautolg,Buttons={"repondre",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB40}
end
end

function zinputgrandyrr:OnGetInput(input)
-- #GroupDescription=boff --
-- #Comment=boff Comment --
if   not Wherigo.NoCaseEquals(automotrice,"BHE") then
Wherigo.Command("DriveTo")
else
zoneDelice.Active = true
zoneDelice.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end
end

function ztaskalleauflon:OnClick()
-- #GroupDescription=goflon --
-- #Comment=goflon Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareduFlon)
end

function ztaskalleralelevateur:OnClick()
-- #GroupDescription=goele --
-- #Comment=goele Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneelevateur)
end

function ztaskallersteluce:OnClick()
-- #GroupDescription=gosteluce --
-- #Comment=gosteluce Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareSteLuce)
end

function ztaskgochariot:OnClick()
-- #GroupDescription=gochariot --
-- #Comment=gochariot Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneVoieduChariot)
end

function ztaskgodelice:OnClick()
-- #GroupDescription=godelice --
-- #Comment=godelice Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end

function ztaskgofin:OnClick()
-- #GroupDescription=gofin --
-- #Comment=gofin Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonefinale)
end

function ztaskgograncy:OnClick()
-- #GroupDescription=gograncy --
-- #Comment=gograncy Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGrancy)
end

function ztaskgojordil:OnClick()
-- #GroupDescription=gojordil --
-- #Comment=gojordil Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneJordils)
end

function ztaskgoouchy:OnClick()
-- #GroupDescription=goouchy --
-- #Comment=goouchy Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGaredOuchy)
end

function ztaskvousrendreaumontecharge:OnClick()
-- #GroupDescription=gomonte --
-- #Comment=gomonte Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneMontecharge)
end
------End Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
------Builder Generated callbacks, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
--#LASTCALLBACKKEY=41#--
cartLaficelle.MsgBoxCBFuncs.MsgBoxCB1 = function(action)
if action ~= nil then
-- #GroupDescription=routeA --
-- #Comment=routeA Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneVoieduChariot)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB3 = function(action)
if action ~= nil then
-- #GroupDescription=gomonte --
-- #Comment=gomonte Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneMontecharge)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB8 = function(action)
if action ~= nil then
-- #GroupDescription=departflon --
-- #Comment=departflon Comment --
zoneGareSteLuce.Active = true
zoneGareSteLuce.Visible = true
ztaskallersteluce.Active = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareSteLuce)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB9 = function(action)
if action ~= nil then
-- #GroupDescription=nourepprix --
-- #Comment=nourepprix Comment --
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB11 = function(action)
if action ~= nil then
-- #GroupDescription=descend --
-- #Comment=descend Comment --
zoneGareSteLuce.Active = true
zoneGareSteLuce.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareSteLuce)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB6 = function(action)
if action ~= nil then
-- #GroupDescription=dpelke --
-- #Comment=dpelke Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneelevateur)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB16 = function(action)
if action ~= nil then
-- #GroupDescription=dpflon --
-- #Comment=dpflon Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareSteLuce)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB2 = function(action)
if action ~= nil then
-- #GroupDescription=merci --
-- #Comment=merci Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneVoieduChariot)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB18 = function(action)
if action ~= nil then
-- #GroupDescription=dpgran --
-- #Comment=dpgran Comment --
ztaskgodelice.Active = true
ztaskgodelice.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB28 = function(action)
if action ~= nil then
-- #GroupDescription=gofin --
-- #Comment=gofin Comment --
zonefinale.Active = true
zonefinale.Visible = true
ztaskgofin.Active = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonefinale)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB30 = function(action)
if action ~= nil then
-- #GroupDescription=triche1 --
-- #Comment=triche1 Comment --
Wherigo.Command("DriveTo")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB31 = function(action)
if action ~= nil then
-- #GroupDescription=faux2 --
-- #Comment=faux2 Comment --
Wherigo.Command("DriveTo")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB32 = function(action)
if action ~= nil then
-- #GroupDescription=fau3 --
-- #Comment=fau3 Comment --
Wherigo.Command("DriveTo")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB23 = function(action)
-- #GroupDescription=godelice --
-- #Comment=godelice Comment --
if   action == "Button1" then
zoneDelice.Active = true
zoneDelice.Visible = true
ztaskgodelice.Active = true
ztaskgodelice.Active = true
ztaskgodelice.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
else
Wherigo.MessageBox{Text=[[Cette cartouche est concue pour etre jouee sur place... Navre....]],Buttons={"ok",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB30}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB33 = function(action)
if action ~= nil then
-- #GroupDescription=indice1 --
-- #Comment=indice1 Comment --
Wherigo.GetInput(zinputindice1)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB35 = function(action)
if action ~= nil then
-- #GroupDescription=faurepgr --
-- #Comment=faurepgr Comment --
Wherigo.GetInput(zinputtraction)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB34 = function(action)
if action ~= nil then
-- #GroupDescription=repgrand --
-- #Comment=repgrand Comment --
if   not Wherigo.NoCaseEquals(indice1,"BHE") then
Wherigo.Command("DriveTo")
else
zoneDelice.Active = true
zoneDelice.Visible = true
ztaskgodelice.Visible = true
ztaskgodelice.Active = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB38 = function(action)
if action ~= nil then
-- #GroupDescription=faut --
-- #Comment=faut Comment --
Wherigo.GetInput(zinputpantra)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB39 = function(action)
if action ~= nil then
-- #GroupDescription=tttttt --
-- #Comment=tttttt Comment --
Wherigo.GetInput(zinputpantra)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB40 = function(action)
if action ~= nil then
-- #GroupDescription=reppggg --
-- #Comment=reppggg Comment --
if   not Wherigo.NoCaseEquals(indice1,"BHE") then
Wherigo.Command("DriveTo")
else
zoneDelice.Active = true
zoneDelice.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB41 = function(action)
if action ~= nil then
-- #GroupDescription=departpoure --
-- #Comment=departpoure Comment --
zoneDelice.Active = true
zoneDelice.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB19 = function(action)
if action ~= nil then
-- #GroupDescription=gochario --
-- #Comment=gochario Comment --
zoneVoieduChariot.Active = true
zoneVoieduChariot.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneVoieduChariot)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB4 = function(action)
if action ~= nil then
-- #GroupDescription=suitedp --
-- #Comment=suitedp Comment --
Wherigo.MessageBox{Text=[[Pensez-vous avoir trouvé cette rue et la plaque qui s'y refere ? ]],Media=zmediachariot,Buttons={"oui",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB19}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB25 = function(action)
-- #GroupDescription=depourjor --
-- #Comment=depourjor Comment --
if   action == "Button2" then
Wherigo.Command("DriveTo")
else
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneJordils)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB7 = function(action)
if action ~= nil then
-- #GroupDescription=goflon --
-- #Comment=goflon Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGareduFlon)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB29 = function(action)
if action ~= nil then
-- #GroupDescription=trouver --
-- #Comment=trouver Comment --
cartLaficelle.Complete = true
Wherigo.Command("SaveClose")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB37 = function(action)
if action ~= nil then
-- #GroupDescription=gofi --
-- #Comment=gofi Comment --
zonefinale.Visible = true
zonefinale.Active = true
ztaskgofin.Active = true
ztaskgofin.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonefinale)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB27 = function(action)
-- #GroupDescription=repouch --
-- #Comment=repouch Comment --
if   action == "Button2" then
Wherigo.MessageBox{Text=[[Non desole ! Il s'agissait de l'adjonction de voiture de renfort selon le nombre de voyageurs]],Media=zmediarenfort,Buttons={"et la finale ?",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB37}
else
zonefinale.Active = true
zonefinale.Visible = true
ztaskgofin.Active = true
ztaskgofin.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonefinale)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB13 = function(action)
if action ~= nil then
-- #GroupDescription=suitecff --
-- #Comment=suitecff Comment --
zoneGrancy.Active = true
zoneGrancy.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGrancy)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB14 = function(action)
if action ~= nil then
-- #GroupDescription=tanspis --
-- #Comment=tanspis Comment --
zoneGrancy.Active = true
zoneGrancy.Visible = true
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGrancy)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB22 = function(action)
if action ~= nil then
-- #GroupDescription=enrouteel --
-- #Comment=enrouteel Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneelevateur)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB20 = function(action)
if action ~= nil then
-- #GroupDescription=gomonte --
-- #Comment=gomonte Comment --
Wherigo.MessageBox{Text=[[Par un ascenceur ! Mais celui-ci ne se trouvait pas a proximite immédiate ! Il assurait la liaison entre la Place de l'Europe (actuelle) et le Grand-Pont. Saurez-vous trouve sur quel pilier du Grand-Pont il s'appuyais ? ]],Media=zmediaelevateur,Buttons={"en route....",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB22}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB15 = function(action)
if action ~= nil then
-- #GroupDescription=charbon --
-- #Comment=charbon Comment --
Wherigo.MessageBox{Text=[[Des wagons de charbon en provance de Belgique alimentaient les commerces, les particuliers et quelques autres clients. Parfois on montait ces wagons avec le monte-charge pour ensuite transborder les sacs dans des wagons de tramways, pour les LEB ou dans les charettes a cheveaux. Mais comment les voyageurs montaient ? Vous voulez le savoir ? ]],Media=zmediawagonbelge,Buttons={"Pas le choix.....",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB20}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB21 = function(action)
if action ~= nil then
-- #GroupDescription=monte --
-- #Comment=monte Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneMontecharge)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB12 = function(action)
-- #GroupDescription=repsecu --
-- #Comment=repsecu Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Bravo vous avez bien pense ! Voici la plaque tournante vue depuis le point de garage du tracteur. Devant nous la voie partant en direction de la gare CFF. Sur la droite la voie en pente ou se logeait la voiture du Lausanne Gare afin de tirer son cable vers le bas pour permettre la mise en mouvement de la plaque tournante. ]],Media=zmediaplaque,Buttons={"On peut continuer sur Grancy",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB13}
else
Wherigo.MessageBox{Text=[[Non il s'agissait d'un cremaillere.... ON vois ici la plaque tournante. A drotie la voie descend poru que la voiture du Lausanne - Gare s'abaisse et entraien son cable vers le bas. Ainsi on peut manoeuvrer la plaque tournante. ]],Media=zmediaplaque,Buttons={"ok.... on repars pour la suite",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB14}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB10 = function(action)
if action ~= nil then
-- #GroupDescription=rep --
-- #Comment=rep Comment --
Wherigo.GetInput(zinputgareflon1)
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB5 = function(action)
if action ~= nil then
-- #GroupDescription=depmon --
-- #Comment=depmon Comment --
Wherigo.MessageBox{Text=[[Ce monte charge etait integre dans la gare marchandise de la compagnie. ]],Media=zmediamontecharge,Buttons={"on y va.... On monte....",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB21}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB36 = function(action)
-- #GroupDescription=merci --
-- #Comment=merci Comment --
if   action == "Button1" then
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneJordils)
else
Wherigo.Command("DriveTo")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB24 = function(action)
-- #GroupDescription=repplan --
-- #Comment=repplan Comment --
if   action == "Button2" then
Wherigo.MessageBox{Text=[[Non desole, il s'agissait du Plan Wahlen. Guisan avait le titre de General. Mais ce n'est pas grave. Alors on continue ? La station de croisement de Montriond a disparut.... La ligne du M2 etant presque entierement a double voie. La station de Montriond etait a egale distance du FLon et d'Ouchy afin que les rames s'y croisent en respectant la longueur des cables de remorquages. Pour un funiculaire le cable est entraine par un moteur et assure une "navette". Construit d'un seul tenant il permer l'equilibrage des trains mais impose que les trains stoppent ensemble. C'est pour cela qu'on trouvait les stations de la Gare CFF - Jordils a egale distance du Flon et d'Ouchy. Les arrets etaient synchonises.  2eme controle : Quelle etait l'immatriculation de la 1ere locomotive de la serie ? L'etiquette se trouve a cote du "premier velo"... Sous un "U"]],Buttons={"298211","111",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB36}
else
Wherigo.MessageBox{Text=[[Bravo ! Mais c'etais facile si vous avez un certain age ou fait vos etudes dans les ecoles suisses.... Sinon par elimination... Alors on continue ? La station de croisement de Montriond a disparut.... La ligne du M2 etant presque entierement a double voie. La station de Montriond etait a egale distance du FLon et d'Ouchy afin que les rames s'y croisent en respectant la longueur des cables de remorquages. Pour un funiculaire le cable est entraine par un moteur et assure une "navette". Construit d'un seul tenant il permer l'equilibrage des trains mais impose que les trains stoppent ensemble. C'est pour cela qu'on trouvait les stations de la Gare CFF - Jordils a egale distance du Flon et d'Ouchy. Les arrets etaient synchonises.  2eme controle : Quelle etait l'immatriculation de la 1ere locomotive de la serie ? L'etiquette se trouve a cote du "premier velo"... Sous un "U"]],Media=zmediacrosiement,Buttons={"598811","111",},Callback=cartLaficelle.MsgBoxCBFuncs.MsgBoxCB25}
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB17 = function(action)
-- #GroupDescription=grancyques --
-- #Comment=grancyques Comment --
if   action == "Button1" then
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneDelice)
else
Wherigo.Command("DriveTo")
end
end

cartLaficelle.MsgBoxCBFuncs.MsgBoxCB26 = function(action)
if action ~= nil then
-- #GroupDescription=goouchy --
-- #Comment=goouchy Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneGaredOuchy)
end
end

------End Builder Generated callbacks, Do not Edit, this will be overwritten------
-- #Author Functions Go Here# --
-- #End Author Functions# --
-- Nothing after this line --
return cartLaficelle
